package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsWorkInfo;
import com.ruoyi.system.domain.vo.ZsWorkInfoVo;
import com.ruoyi.system.domain.bo.ZsWorkInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 职位管理Service接口
 *
 * @author wq
 * @date 2025-06-24
 */
public interface IZsWorkInfoService {

    /**
     * 查询职位管理
     */
    ZsWorkInfoVo queryById(Long id);

    /**
     * 查询职位管理列表
     */
    TableDataInfo<ZsWorkInfoVo> queryPageList(ZsWorkInfoBo bo, PageQuery pageQuery);

    /**
     * 查询职位管理列表
     */
    List<ZsWorkInfoVo> queryList(ZsWorkInfoBo bo);

    /**
     * 新增职位管理
     */
    Boolean insertByBo(ZsWorkInfoBo bo);

    /**
     * 修改职位管理
     */
    Boolean updateByBo(ZsWorkInfoBo bo);

    /**
     * 校验并批量删除职位管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
